## hubzero-submit-monitors 2.5.5

=== Makefile ===
--- 
+++ 
@@ -76,6 +76,9 @@
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
 configure:
+        # install-user-gridman
+	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
+	adduser --quiet gridman tunneler || true
 	# install-monitor-job
 	chown gridman $(SUBMITDIR)/$(MONITORJOB)
 	# install-monitor-tunnel
