## hubzero-submit-monitors 2.5.7

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
-#
 # @package      hubzero-submit-monitors
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -37,7 +36,7 @@
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
 
-default all build:
+all:
 	@true
 
 install:
@@ -59,7 +58,7 @@
 		install --mode 0750 -D $${monitorTunnelUtil} $(SUBMITDIR)/$${monitorTunnelUtil}; \
 	done
 	# initialize-monitor-job
-	install --mode 0640 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
+	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
 	# install-monitor-logs
 	install --mode 0775 -d $(VARLOGDIR)/submit
@@ -75,8 +74,11 @@
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
 	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
 
-configure:
-        # install-user-gridman
+uninstall:
+	@true
+
+postinst:
+	# install-user-gridman
 	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
 	adduser --quiet gridman tunneler || true
 	# install-monitor-job
@@ -101,3 +103,4 @@
 	python setup.py clean
 	rm -fr build
 
+.PHONY: all install uninstall postinst clean
