## hubzero-submit-monitors 2.7.1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,8 @@
 MONITORJOBUTILS = monitorJobQ.py monitorJobR.py monitorJobS.py monitorJobT.py monitorJobU.py
 MONITORTUNNEL = monitorTunnel.py
 MONITORTUNNELUTILS = monitorTunnelA.py monitorTunnelD.py monitorTunnelI.py monitorTunnelR.py monitorTunnelT.py
-
+MONITORPROBE = monitorProbe.py
+MONITORPROBEUTILS = monitorProbeQ.py monitorProbeR.py monitorProbeU.py
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
@@ -57,6 +58,11 @@
 	for monitorTunnelUtil in $(MONITORTUNNELUTILS) ; do \
 		install --mode 0750 -D $${monitorTunnelUtil} $(SUBMITDIR)/$${monitorTunnelUtil}; \
 	done
+	# install-monitor-probe
+	install --mode 0750 -D $(MONITORPROBE) $(SUBMITDIR)/$(MONITORPROBE); \
+	for monitorProbeUtil in $(MONITORPROBEUTILS) ; do \
+		install --mode 0750 -D $${monitorProbeUtil} $(SUBMITDIR)/$${monitorProbeUtil}; \
+	done
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
@@ -72,7 +78,8 @@
 	# install-server-init
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
-	python setup.py install $(COMPILE) --root $(DESTDIR) --install-layout=deb
+	install --mode 0755 -D probemon $(ETCDIR)/init.d/probemon 
+	python setup.py install $(COMPILE) --root $(DESTDIR) 
 
 uninstall:
 	@true
@@ -85,6 +92,8 @@
 	chown gridman $(SUBMITDIR)/$(MONITORJOB)
 	# install-monitor-tunnel
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
+	# install-monitor-probe
+	chown gridman $(SUBMITDIR)/$(MONITORPROBE)
 	# initialize-monitor-job:
 	$(SUBMITDIR)/monitorJobInitialize.sh
 	# install-monitor-logs
@@ -92,6 +101,7 @@
 	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorJob.log
 	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorTunnel.log
 	# install-server-init
+	insserv probemon
 	insserv jobmon
 	insserv tunnelmon
 	insserv
