## hubzero-submit-monitors 2.7.1u2

=== Makefile ===
--- 
+++ 
@@ -24,6 +24,13 @@
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
+
+DISTRIBUTION := $(shell lsb_release -is)
+MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
+
+ifeq ($(DISTRIBUTION),Debian)
+il=--install-layout=deb
+endif
 
 BATCHMONITORS = monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
@@ -79,7 +86,7 @@
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
 	install --mode 0755 -D probemon $(ETCDIR)/init.d/probemon 
-	python setup.py install $(COMPILE) --root $(DESTDIR) 
+	python setup.py install $(COMPILE) --root $(DESTDIR) $(il)
 
 uninstall:
 	@true
