## hubzero-submit-monitors 2.7.1.5

=== Makefile ===
--- 
+++ 
@@ -76,12 +76,6 @@
 	# install-monitor-logs
 	install --mode 0775 -d $(VARLOGDIR)/submit
 	install --mode 0755 -d $(VARLOGDIR)/submit/monitors
-	touch emptyFile
-	[ -f $(VARLOGDIR)/submit/monitors/monitorJob.log ] || \
-		install --mode 0644 -D emptyFile $(VARLOGDIR)/submit/monitors/monitorJob.log
-	[ -f $(VARLOGDIR)/submit/monitors/monitorTunnel.log ] || \
-		install --mode 0644 -D emptyFile $(VARLOGDIR)/submit/monitors/monitorTunnel.log
-	rm -f emptyFile
 	# install-server-init
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
@@ -101,12 +95,33 @@
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
 	# install-monitor-probe
 	chown gridman $(SUBMITDIR)/$(MONITORPROBE)
+	# install-monitor-logs
+	if [ ! -d ${VARLOG}/submit ] ; \
+	then \
+		mkdir --mode=0775 ${VARLOG}/submit ; \
+	fi
+	if [ ! -d ${VARLOG}/submit/monitors ] ; \
+	then \
+		mkdir --mode=0755 ${VARLOG}/submit/monitors ; \
+		chown gridman ${VARLOG}/submit/monitors ; \
+	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJob.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJob.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJob.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJob.log ; \
+	fi
+
+	if [ ! -f ${VARLOG}/submit/monitors/monitorTunnel.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorTunnel.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorTunnel.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorTunnel.log ; \
+	fi
+
 	# initialize-monitor-job:
 	$(SUBMITDIR)/monitorJobInitialize.sh
-	# install-monitor-logs
-	chown gridman $(VARLOGDIR)/submit/monitors
-	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorJob.log
-	chown gridman:gridman $(VARLOGDIR)/submit/monitors/monitorTunnel.log
+
 	# install-server-init
 	insserv probemon
 	insserv jobmon
