## hubzero-submit-monitors 3.0.10

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,28 @@
 # @package      hubzero-submit-monitors
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
@@ -34,12 +36,19 @@
 
 BATCHMONITORS = monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
-MONITORJOB = monitorJob.py
-MONITORJOBUTILS = monitorJobQ.py monitorJobR.py monitorJobS.py monitorJobT.py monitorJobU.py
+MONITORJOBS = monitorJob.py monitorJobSite.py
+MONITORJOBUTILS = monitorJobA.py monitorJobQ.py monitorJobP.py monitorJobR.py \
+                  monitorJobS.py monitorJobT.py monitorJobU.py
 MONITORTUNNEL = monitorTunnel.py
 MONITORTUNNELUTILS = monitorTunnelA.py monitorTunnelD.py monitorTunnelI.py monitorTunnelR.py monitorTunnelT.py
 MONITORPROBE = monitorProbe.py
 MONITORPROBEUTILS = monitorProbeQ.py monitorProbeR.py monitorProbeU.py
+MANAGEIDENTITIES = manageIdentities.py
+MANAGEIDENTITYUTILS = manageIdentitiesQ.py
+IDENTITYMANAGERSCRIPTS = generate-grid-proxy.sh generate-voms-proxy.sh \
+                         genuserid.sh genuserpki.sh \
+                         personalize-copy-proxy.sh personalize-saml-proxy.sh \
+                         refresh-condor-proxy.sh refresh-jobmon-proxy.sh
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
 ETCDIR=$(DESTDIR)/etc
@@ -56,7 +65,9 @@
 		install --mode 0750 -D BatchMonitors/$${batchMonitor} $(SUBMITDIR)/BatchMonitors/$${batchMonitor}; \
 	done
 	# install-monitor-job
-	install --mode 0750 -D $(MONITORJOB) $(SUBMITDIR)/$(MONITORJOB);
+	for monitorJob in $(MONITORJOBS) ; do \
+		install --mode 0750 -D $${monitorJob} $(SUBMITDIR)/$${monitorJob}; \
+	done
 	for monitorJobUtil in $(MONITORJOBUTILS) ; do \
 		install --mode 0750 -D $${monitorJobUtil} $(SUBMITDIR)/$${monitorJobUtil}; \
 	done
@@ -70,6 +81,14 @@
 	for monitorProbeUtil in $(MONITORPROBEUTILS) ; do \
 		install --mode 0750 -D $${monitorProbeUtil} $(SUBMITDIR)/$${monitorProbeUtil}; \
 	done
+	# install-manage-identities
+	install --mode 0750 -D $(MANAGEIDENTITIES) $(SUBMITDIR)/$(MANAGEIDENTITIES); \
+	for manageIdentityUtil in $(MANAGEIDENTITYUTILS) ; do \
+		install --mode 0750 -D $${manageIdentityUtil} $(SUBMITDIR)/$${manageIdentityUtil}; \
+	done
+	for identityManagerScript in $(IDENTITYMANAGERSCRIPTS) ; do \
+		install --mode 0755 -D bin/$${identityManagerScript} $(SUBMITDIR)/bin/$${identityManagerScript}; \
+	done
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
 	install --mode 0750 -D monitorJobInitialize.sh $(SUBMITDIR)/monitorJobInitialize.sh
@@ -77,6 +96,7 @@
 	install --mode 0775 -d $(VARLOGDIR)/submit
 	install --mode 0755 -d $(VARLOGDIR)/submit/monitors
 	# install-server-init
+	install --mode 0755 -D identityman $(ETCDIR)/init.d/identityman
 	install --mode 0755 -D jobmon $(ETCDIR)/init.d/jobmon
 	install --mode 0755 -D tunnelmon $(ETCDIR)/init.d/tunnelmon 
 	install --mode 0755 -D probemon $(ETCDIR)/init.d/probemon 
@@ -90,7 +110,9 @@
 	adduser --quiet --system --group --force-badname --home /var/gridman --shell /bin/bash --disabled-password --gecos Gridman gridman || true
 	adduser --quiet gridman tunneler || true
 	# install-monitor-job
-	chown gridman $(SUBMITDIR)/$(MONITORJOB)
+	for monitorJob in $(MONITORJOBS) ; do \
+		chown gridman $(SUBMITDIR)/$(monitorJob); \
+	done
 	# install-monitor-tunnel
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
 	# install-monitor-probe
@@ -124,6 +146,7 @@
 
 	# install-server-init
 	insserv probemon
+	insserv identityman
 	insserv jobmon
 	insserv tunnelmon
 	insserv
