## hubzero-submit-monitors 3.1.2-1+deb6

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-1+deb6) unstable; urgency=low

  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * Header labels for probe monitor report
  * Initialize setInfoError
  * Changed location of identity manager shell scripts. Now under ~gridman.
  * Added runName to job monitor database
  * Added job monitor database schema version for an update migration path.
  * Added ability to restart jobSite monitors when monitorJob starts.
    No longer have to wait for a new job submission. 

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 14:38:14 -0400

hubzero-submit-monitors (3.0.10-1) unstable; urgency=low

  * Check for existence of identity manager scripts.
  * Check for valid priorityBooster.  Problem occurs when aggregator setting is missing.
  * Added configurable ssh options. Initial use is to set connection timeout
    and retry limit.

 -- Steven Clark <clarks@purdue.edu>  Mon, 11 Jul 2016 11:35:18 -0400

hubzero-submit-monitors (3.0.8-1) unstable; urgency=low

  * Correct test for empty ssh command to match new variable type
  * Too many quotes
  * fixed shell syntax error

 -- Steven Clark <clarks@purdue.edu>  Wed, 09 Mar 2016 15:07:26 -0500

hubzero-submit-monitors (3.0.1-1) unstable; urgency=low

  * Replaced string based data exchange API with JSON based exchange
  * Added identity manager service.  It supports community ssh, idividual
    ssh, community x509 proxy
  * Added centralized manager for daemon to maintain host and port location
    of the individual daemons.
  * Split monitorJob into two separate executable scripts.  The first level
    script, monitorJob, serves the role of databse manager and additional
    launches monitorJobSite scripts for each remote monitor.  The monitor
    name is now provided as a command line argument to the remote process
    reducing the amount of customization required.

 -- Steven Clark <clarks@purdue.edu>  Mon, 07 Sep 2015 18:28:36 -0400

hubzero-submit-monitors (2.7.2-1) unstable; urgency=low

  * upstream patches

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 18:41:50 -0400

hubzero-submit-monitors (2.7.1.7-1) unstable; urgency=low

  * fix log path in postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 31 Mar 2015 11:54:28 -0400

hubzero-submit-monitors (2.7.1.6-1) unstable; urgency=low

  * fix log file permissions on upgrade

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 30 Mar 2015 16:29:29 -0400

hubzero-submit-monitors (2.7.1.5-1) unstable; urgency=low

  * don't put empty log files in package, create them in configure step

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 26 Feb 2015 11:38:16 -0500

hubzero-submit-monitors (2.7.1u4-1) unstable; urgency=low

  * specifically get fqdn for hostname

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 27 Sep 2014 15:17:09 -0400

hubzero-submit-monitors (2.7.1u3-1) unstable; urgency=low

  * try again to fix postinst init of DB

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 17:09:09 -0400

hubzero-submit-monitors (2.7.1u2-1) unstable; urgency=low

  * Ignore table exists error

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 26 Sep 2014 16:32:11 -0400

hubzero-submit-monitors (2.7.1u1-1) unstable; urgency=low

  * initialize /opt/submit/DB properly in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 22:11:52 -0400

hubzero-submit-monitors (2.7.1-1) unstable; urgency=low

  * Update version number
  * normalizing packaging to template and update copyrights
  * Added delete probe monitor action
  * Added centralized logging module
  * Adding probe monitor daemon
  * All programs need top level logger
  * trap and report error to avoid one site crashing monitor
  * Employing python logging module, removing need for global write permissions
  * Standard daemonize method.

 -- Steven Clark <clarks@purdue.edu>  Tue, 23 Sep 2014 19:36:33 -0400

hubzero-submit-monitors (2.5.7-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 10 Sep 2014 14:14:30 -0400

hubzero-submit-monitors (2.5.6-1) unstable; urgency=low

  * Fix python version dependencies for Debian 7 package compatibility

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 25 Aug 2014 15:40:21 -0400

hubzero-submit-monitors (2.5.5-1) unstable; urgency=low

  *  Update version number
  *  Fixed false connection close when receive empty message
  *  Update copyright date

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 19:50:22 -0400

hubzero-submit-monitors (2.5.1-3) unstable; urgency=low

  * Don't try to delete non-existent files from old db
  * Create db path when needed

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 24 Aug 2013 12:34:53 -0400

hubzero-submit-monitors (2.5.1-2) unstable; urgency=low

  * hubzero-submit-distributor moved to recommends dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 19:34:29 -0400

hubzero-submit-monitors (2.5.1-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 18:49:47 -0400
