## hubzero-submit-monitors 3.1.2-1+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-1+deb8) unstable; urgency=low

  * Modified scheme for generating user credential files.
    No longer need world readable copies of community credentials.
  * Header labels for probe monitor report
  * Initialize setInfoError
  * Changed location of identity manager shell scripts. Now under ~gridman.
  * Added runName to job monitor database
  * Added job monitor database schema version for an update migration path.
  * Added ability to restart jobSite monitors when monitorJob starts.
    No longer have to wait for a new job submission. 

 -- Steven Clark <clarks@purdue.edu>  Tue, 13 Jun 2017 14:38:14 -0400
