## hubzero-submit-monitors 3.1.2-2+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.1.2-2+deb8) unstable; urgency=low

  * fix syntax error in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Jun 2017 12:58:05 +0000
