## hubzero-submit-monitors 3.1.2-3+deb8

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-DISTRIBUTION := $(shell lsb_release -is)
+DISTRIBUTION := $(shell lsb_release -i -s)
 MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)
 
 ifeq ($(DISTRIBUTION),Debian)
@@ -48,9 +48,11 @@
 IDENTITYMANAGERSCRIPTS = generate-grid-proxy.sh generate-voms-proxy.sh \
                          genuserid.sh genuserpki.sh \
                          personalize-copy-proxy.sh personalize-saml-proxy.sh \
-                         refresh-condor-proxy.sh refresh-jobmon-proxy.sh
+                         refresh-condor-proxy.sh refresh-jobmon-proxy.sh \
+                         writecommunitysecret.sh
 SUBMITDIR=$(DESTDIR)/opt/submit
 VARLOGDIR=$(DESTDIR)/var/log
+VARGRIDMAN=$(DESTDIR)/var/gridman
 ETCDIR=$(DESTDIR)/etc
 
 all:
@@ -87,7 +89,7 @@
 		install --mode 0750 -D $${manageIdentityUtil} $(SUBMITDIR)/$${manageIdentityUtil}; \
 	done
 	for identityManagerScript in $(IDENTITYMANAGERSCRIPTS) ; do \
-		install --mode 0755 -D bin/$${identityManagerScript} $(SUBMITDIR)/bin/$${identityManagerScript}; \
+		install --mode 0755 -D bin/$${identityManagerScript} $(VARGRIDMAN)/bin/$${identityManagerScript}; \
 	done
 	# initialize-monitor-job
 	install --mode 0750 -D monitorJobInitialize.py $(SUBMITDIR)/monitorJobInitialize.py
@@ -117,6 +119,8 @@
 	chown gridman $(SUBMITDIR)/$(MONITORTUNNEL)
 	# install-monitor-probe
 	chown gridman $(SUBMITDIR)/$(MONITORPROBE)
+	# install-manage-identities
+	chown gridman $(SUBMITDIR)/$(MANAGEIDENTITIES)
 	# install-monitor-logs
 	if [ ! -d ${VARLOG}/submit ] ; \
 	then \
