=== debian/changelog ===
hubzero-submit-monitors (3.1.2-3+deb8) unstable; urgency=low

  * fix another syntax error in postinst

 -- Nicholas J. Kisseberth (su) <su-nkissebe@debbuilder6.aws.hubzero.org>  Fri, 16 Jun 2017 13:51:32 +0000
