## hubzero-submit-monitors 3.1.3-1+deb6

=== debian/changelog ===
hubzero-submit-monitors (3.1.3-1+deb6) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:04:17 -0400

hubzero-submit-monitors (3.1.2-3) unstable; urgency=low

  * fix another syntax error in postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 16 Jun 2017 13:51:32 +0000
