## hubzero-submit-monitors 3.1.3-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.1.3-1+deb7) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:04:17 -0400
