## hubzero-submit-monitors 3.2.8-1+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.2.8-1+deb8) unstable; urgency=low

  - Improve job status reporting by grouping identifiers
    numerically.
  - Properly initialized siteDesignator in remote monitoring
    scripts such that a invalid specification results in
    a clean abort.
  - Update collection of file tail data.
  - Do not log empty set of tail files.
  - Updated BOINC scripts error processing
  - Improved capturing of file tailings.
  - Added glob style definition of *.dat Info files.
  - Added BOINC batch submission scripts.

 -- Steven Clark <clarks@purdue.edu>  Thu, 12 Apr 2018 14:43:12 -0400

hubzero-submit-monitors (3.1.3-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 27 Sep 2017 10:04:17 -0400
