## hubzero-submit-monitors 3.2.9-1+deb7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-submit-monitors
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -34,7 +34,7 @@
 il=--install-layout=deb
 endif
 
-BATCHMONITORS = monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
+BATCHMONITORS = monitorBOINC.py monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
 MONITORJOBS = monitorJob.py monitorJobSite.py
 MONITORJOBUTILS = monitorJobA.py monitorJobQ.py monitorJobP.py monitorJobR.py \
