## hubzero-submit-monitors 3.2.9-1+deb8

=== debian/changelog ===
hubzero-submit-monitors (3.2.9-1+deb8) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 16:37:21 -0400
