## hubzero-submit-monitors 3.4.2-1+deb8

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 BATCHMONITORS = monitorBOINC.py monitorCondor.py monitorCondorG.py monitorFactory.py monitorLL.py \
                 monitorLSF.py monitorPBS.py monitorSGE.py monitorSLURM.py monitorWF.py
-MONITORJOBS = monitorJob.py monitorJobSite.py
+MONITORJOBS = monitorJob.py monitorJobSite.py monitorJobSQL.py monitorJobSiteSQL.py
 MONITORJOBUTILS = monitorJobA.py monitorJobQ.py monitorJobP.py monitorJobR.py \
                   monitorJobS.py monitorJobT.py monitorJobU.py
 MONITORTUNNEL = monitorTunnel.py
@@ -137,6 +137,24 @@
 		chmod 0644 ${VARLOG}/submit/monitors/monitorJob.log ; \
 		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJob.log ; \
 	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJobSite.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJobSite.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJobSite.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJobSite.log ; \
+	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJobSQL.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJobSQL.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJobSQL.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJobSQL.log ; \
+	fi
+	if [ ! -f ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ] ; \
+	then \
+		touch ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ; \
+		chmod 0644 ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ; \
+		chown gridman:gridman ${VARLOG}/submit/monitors/monitorJobSiteSQL.log ; \
+	fi
 
 	if [ ! -f ${VARLOG}/submit/monitors/monitorTunnel.log ] ; \
 	then \
