=== debian/changelog ===
hubzero-submit-monitors (3.4.2-1+deb8) unstable; urgency=low

     - add monitorJobSQL.py and monitorJobSiteSQL.py to makefile
     - Update to version 3.4.2
     - Update to version 3.4.1
     - Improved loading of configuration files with better
       handling of error conditions.
     - Use try/catch to avoid error when piping output through
       a downstream process like more.  The problem occured when
       user quit the downstream porcess before all input was read.
     - Changed central job monitor to fork off short lived process
       for each request. Previously all requests were served by a
       single process.  The single process could not process requests
       in a timely fashion to the point where request connections
       would be dropped without completing the transaction.
     - Limit the amount of data transferred between jobsite monitors
       and the corresponding remote monitoring process.  This prevents
       deadlocks between the two processes.
     - Refresh job status by sending current known job status back to
       the remote site for confirmation.  This is helpful when a
       jobsite monitor goes down for some reason and is restarted.
     - Split sqlite database functions into a new class.  Classes for
       sqlite and mysql should be nearly interchangeable.
     - Added messageType pipeFlusher to facilitate pushinf multi-part
       messages from batch queue monitors to the central job monitor.
     - Improved reporting for "user jobs"
     - Release version 3.3.1.

 -- Steven Clark <clarks@purdue.edu>  Fri, 05 Jul 2019 18:49:17 -0400

hubzero-submit-monitors (3.2.9-1) unstable; urgency=low

  * no changes. synchronized version update

 -- Steven Clark <clarks@purdue.edu>  Wed, 13 Jun 2018 16:37:21 -0400
