## hubzero-submit-monitors 3.6.3-1+deb7

=== debian/changelog ===
hubzero-submit-monitors (3.6.3-1+deb7) unstable; urgency=low

    - Upgrade to 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:45:56 -0700

hubzero-submit-monitors (3.6.2-1) unstable; urgency=low

    - Upgrade to 3.6.2

 -- Steven Clark <smclark@ucsd.edu>  Fri, 04 Nov 2022 00:17:16 -0700

hubzero-submit-monitors (3.6.0-2) unstable; urgency=low

     - update packaging to python3
     - Update batch submission system monitoring scripts to Python3
     - Moved TAPIS interface scripts from monitors to distributor repository
     - Update to version 3.6.0
     - Upgrade to Python3
     - Added download retry for TAPIS jobs

 -- Steven Clark <smclark@ucsd.edu>  Wed, 05 Jan 2022 15:58:21 -0800

hubzero-submit-monitors (3.5.1-1) unstable; urgency=low

     - Keep track of the exit status of each individual transaction for web service job
     - Dropped support for gsissh.
     - Limit use of update-known-hosts to user gridman.
     - Added identity type for individual SSH keys.  Used by shared user
       accounts on the submit host.
     - Use configuration file to determine where web services are running.
     - Use configuration file to specify where backend compute web services
       are running.

 -- Steven Clark <smclark@ucsd.edu>  Mon, 13 Sep 2021 09:49:07 -0700

hubzero-submit-monitors (3.5.0-4) unstable; urgency=low

     - Changed permissions of Job, Probe, and Tunnel utilities to make them usable
     - Added missing DB schema update
     - Consolidated DB operations into JobMonitor
     - Address touch/chmod security concern
     - Added missing script for new identity manager type - oauth token.
     - Set permissions for job monitoring process scripts.

 -- Steven Clark <smclark@ucsd.edu>  Sun, 11 Jul 2021 15:32:21 -0700

hubzero-submit-monitors (3.5.0-3) unstable; urgency=low

     - mark config files as config

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 16:38:31 -0700

hubzero-submit-monitors (3.5.0-2) unstable; urgency=low

     - install more init.d scripts

 -- Steven Clark <smclark@ucsd.edu>  Fri, 09 Jul 2021 15:45:13 -0700

hubzero-submit-monitors (3.5.0-1) unstable; urgency=low

     - Eliminated use of the master as a daemon type.
     - Added support for TAPIS job submission as a RemoteBATCH classification.
     - Numerous additions made to Remote/Job monitor in support of
       webservice job submission.
     - Added support to identity manager for oauthtokens.  Use case is
       the TAPIS service.
     - Split job release management into separate daemon process.
     - Added daemon processes to push asynchronous jobs through the sytsem.
       Used by webservice job submission.
       Processor, StageInput, Executer, Metrics, CacheSimTools
     - Added wsJobs table to database to manage launch of webservice
       simulation jobs.
     - Brought monitoring with SQLite database up to par with monitoring with SQL database.

 -- Steven Clark <smclark@ucsd.edu>  Thu, 08 Jul 2021 10:45:03 -0700

hubzero-submit-monitors (3.4.3-2) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:14:10 -0700
