## hubzero-submit-monitors 3.6.3-1+deb10

=== debian/changelog ===
hubzero-submit-monitors (3.6.3-1+deb10) unstable; urgency=low

    - Upgrade to 3.6.3

 -- Steven Clark <smclark@ucsd.edu>  Tue, 16 May 2023 15:45:56 -0700
